;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  GrewpHelp.scm
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(environment-import "groupscheme/platform/util/HTMLPane.scm" "HP:")
(environment-import "jlib/Swing.scm")

(define htmlpane (HP:make-HTMLPane))

(define helpwin 
  (window "GrewpEdit"
    (border
     (center (scrollpane (htmlpane 'gui)))
     (south (button "Close" (action (lambda(e) (.hide helpwin)))))
)))

(define (show-help)
  (htmlpane 'load
     "http://groupscheme.sourceforge.net/grewpedit/docs/Help.html")
  (.resize helpwin 800 600)
  (.show helpwin))

(define (show-about)
  (htmlpane 'load
     "http://groupscheme.sourceforge.net/grewpedit/docs/About.html")
  (.resize helpwin 800 600)
  (.show helpwin))
