package groupscheme.platform.wrapper;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import jsint.Procedure;

public class ActionWrapper extends AbstractAction{
    //public jsint.Procedure actionProc;
    Procedure actionProc;
    final String NAME;
    public ActionWrapper(String name, Procedure actionProc){
	super(name);
	NAME = name;
	this.actionProc = actionProc;
    }

    public String getName(){
	return NAME;
    }

    public void actionPerformed(ActionEvent e) {
	if(actionProc != null)
	    actionProc.apply(jsint.U.list(this));
    }
}
